Bug 1837120 - Update nut in EL7
Summary: Update nut in EL7
Keywords:
Status: ON_QA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nut
Version: epel7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-18 21:13 UTC by Orion Poplawski
Modified: 2022-12-19 01:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Orion Poplawski 2020-05-18 21:13:56 UTC
Description of problem:

We should update nut in EL7.  With https://src.fedoraproject.org/rpms/nut/pull-request/6 it should produce a reasonable update to 2.7.2.

The most critical issue in my view is support for TLS > v1.0.

The only issue with the update I encountered is that I needed to make sure the nut group had read access to the server key/crt file, but it is surprising that it worked before without that.

Version-Release number of selected component (if applicable):
2.7.2-4.el7

Comment 1 Orion Poplawski 2020-05-18 21:20:22 UTC
Checking the release notes - https://networkupstools.org/source/2.7/new-2.7.4.txt doesn't seem to reveal any major incompatibilities except possibly:

- reverted POWERDOWNFLAG to /etc/killpower as in 2.6.5 (packagers may want to
  put this in another filesystem, though)

Comment 2 Michal Hlavinka 2020-05-26 16:07:03 UTC
I've prepared an update for el7, unfortunately I have no hw to test it, any feedback would be good

Comment 3 Fedora Update System 2020-05-26 16:07:37 UTC
FEDORA-EPEL-2020-f76f9220f4 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f76f9220f4

Comment 4 Fedora Update System 2020-05-27 03:40:06 UTC
FEDORA-EPEL-2020-f76f9220f4 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f76f9220f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-06-02 15:23:45 UTC
FEDORA-EPEL-2020-f76f9220f4 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f76f9220f4

Comment 6 Fedora Update System 2020-06-03 03:40:42 UTC
FEDORA-EPEL-2020-f76f9220f4 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f76f9220f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-12-13 18:48:49 UTC
FEDORA-EPEL-2022-582eba423d has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-582eba423d

Comment 8 Fedora Update System 2022-12-14 02:43:43 UTC
FEDORA-EPEL-2022-582eba423d has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-582eba423d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-12-19 01:24:49 UTC
FEDORA-EPEL-2022-582eba423d has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-582eba423d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.